IF NOT EXISTS (SELECT 1 FROM t_cr_coderule WHERE fid = '185M28UVM78N') 
INSERT INTO t_cr_coderule(FID,FSPLITSIGN,FCTRLMODE,FEXAMPLE,FAPPMODE,FDISABLEDATE,FMASTERID,FSTATUS,FNUMBER,FRULETYPE,FEXAMPLELENGTH,FCREATETIME,FBIZOBJECTID,FENABLE,FMODIFIERID,FISUPDATERECOVER,FMODIFYTIME,FCREATORID,FDISABLERID) VALUES ('185M28UVM78N','-','1',' ','2',NULL,'185M28UVM78N','C','185M+SY05OF7',NULL,' ',{ts'2020-11-29  14:48:44'},'mds_dpsplanexec','1',0,'0',{ts'2020-11-29  14:48:44'},0,NULL); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderule_l WHERE FPKID = '185M28UVR9HS')
INSERT INTO t_cr_coderule_l(FID,FPKID,FLOCALEID,FNAME) VALUES ('185M28UVM78N','185M28UVR9HS','zh_CN','DPS Site分配运算'); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '185M28XJS8UI')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('185M28UVM78N',1,'1',' ','0','185M28XJS8UI',1,'1',' ',0,8,'1','DPS',' ','1',' ','0',' '); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '185M28XJS8UJ')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('185M28UVM78N',1,'9','-','0','185M28XJS8UJ',1,'1',' ',1,8,'1','yyyyMMdd',' ','1',' ','1',' '); 

IF NOT EXISTS (SELECT 1 FROM t_cr_coderuleentry WHERE FENTRYID = '185M28XJS8UK')
INSERT INTO t_cr_coderuleentry(FID,FINITIAL,FATTRIBUTETYPE,FSPLITSIGN,FISSORTITEM,FENTRYID,FSTEP,FCUTSTYLE,FATTUSINGMODE,FSEQ,FLENGTH,FISVISABLE,FFORMAT,FSETTINGVALUE,FADDSTYLE,FVALUEATRIBUTE,FISSPLITSIGN,FADDCHAR) VALUES ('185M28UVM78N',1,'16','-','0','185M28XJS8UK',1,'1',' ',2,8,'1',' ',' ','1',' ','1',' '); 




